// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		A12D820721D5FA8A00FBDE07 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = A12D820621D5FA8A00FBDE07 /* AppDelegate.swift */; };
		A12D820E21D5FA8D00FBDE07 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = A12D820D21D5FA8D00FBDE07 /* Assets.xcassets */; };
		A1E6FA8B21DCC88D0020DD08 /* LibraryViewControllerTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA8121DCC88C0020DD08 /* LibraryViewControllerTests.swift */; };
		A1E6FA8C21DCC88D0020DD08 /* MovieLibraryDataServiceTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA8321DCC88C0020DD08 /* MovieLibraryDataServiceTests.swift */; };
		A1E6FA8D21DCC88D0020DD08 /* MockExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA8521DCC88C0020DD08 /* MockExtensions.swift */; };
		A1E6FA8E21DCC88D0020DD08 /* MovieManagerTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA8721DCC88D0020DD08 /* MovieManagerTests.swift */; };
		A1E6FA8F21DCC88D0020DD08 /* MovieStructTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA8821DCC88D0020DD08 /* MovieStructTests.swift */; };
		A1E6FA9021DCC88D0020DD08 /* MovieCellTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA8A21DCC88D0020DD08 /* MovieCellTests.swift */; };
		A1E6FA9F21DCC8A90020DD08 /* LibraryViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA9221DCC8A70020DD08 /* LibraryViewController.swift */; };
		A1E6FAA021DCC8A90020DD08 /* MovieLibraryDataService.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA9421DCC8A70020DD08 /* MovieLibraryDataService.swift */; };
		A1E6FAA121DCC8A90020DD08 /* MovieCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA9621DCC8A70020DD08 /* MovieCell.swift */; };
		A1E6FAA221DCC8A90020DD08 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = A1E6FA9821DCC8A70020DD08 /* LaunchScreen.storyboard */; };
		A1E6FAA321DCC8A90020DD08 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = A1E6FA9A21DCC8A70020DD08 /* Main.storyboard */; };
		A1E6FAA421DCC8A90020DD08 /* MovieManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA9D21DCC8A80020DD08 /* MovieManager.swift */; };
		A1E6FAA521DCC8A90020DD08 /* Movie.swift in Sources */ = {isa = PBXBuildFile; fileRef = A1E6FA9E21DCC8A80020DD08 /* Movie.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		A12D821821D5FA8D00FBDE07 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = A12D81FB21D5FA8A00FBDE07 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = A12D820221D5FA8A00FBDE07;
			remoteInfo = FilmFest;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		A12D820321D5FA8A00FBDE07 /* FilmFest.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = FilmFest.app; sourceTree = BUILT_PRODUCTS_DIR; };
		A12D820621D5FA8A00FBDE07 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		A12D820D21D5FA8D00FBDE07 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		A12D821221D5FA8D00FBDE07 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		A12D821721D5FA8D00FBDE07 /* FilmFestTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = FilmFestTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		A12D821D21D5FA8D00FBDE07 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		A1E6FA8121DCC88C0020DD08 /* LibraryViewControllerTests.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = LibraryViewControllerTests.swift; sourceTree = "<group>"; };
		A1E6FA8321DCC88C0020DD08 /* MovieLibraryDataServiceTests.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MovieLibraryDataServiceTests.swift; sourceTree = "<group>"; };
		A1E6FA8521DCC88C0020DD08 /* MockExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MockExtensions.swift; sourceTree = "<group>"; };
		A1E6FA8721DCC88D0020DD08 /* MovieManagerTests.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MovieManagerTests.swift; sourceTree = "<group>"; };
		A1E6FA8821DCC88D0020DD08 /* MovieStructTests.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MovieStructTests.swift; sourceTree = "<group>"; };
		A1E6FA8A21DCC88D0020DD08 /* MovieCellTests.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MovieCellTests.swift; sourceTree = "<group>"; };
		A1E6FA9221DCC8A70020DD08 /* LibraryViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = LibraryViewController.swift; sourceTree = "<group>"; };
		A1E6FA9421DCC8A70020DD08 /* MovieLibraryDataService.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MovieLibraryDataService.swift; sourceTree = "<group>"; };
		A1E6FA9621DCC8A70020DD08 /* MovieCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MovieCell.swift; sourceTree = "<group>"; };
		A1E6FA9921DCC8A70020DD08 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = LaunchScreen.storyboard; sourceTree = "<group>"; };
		A1E6FA9B21DCC8A70020DD08 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Main.storyboard; sourceTree = "<group>"; };
		A1E6FA9D21DCC8A80020DD08 /* MovieManager.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MovieManager.swift; sourceTree = "<group>"; };
		A1E6FA9E21DCC8A80020DD08 /* Movie.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Movie.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		A12D820021D5FA8A00FBDE07 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		A12D821421D5FA8D00FBDE07 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		A12D81FA21D5FA8A00FBDE07 = {
			isa = PBXGroup;
			children = (
				A12D820521D5FA8A00FBDE07 /* FilmFest */,
				A12D821A21D5FA8D00FBDE07 /* FilmFestTests */,
				A12D820421D5FA8A00FBDE07 /* Products */,
			);
			sourceTree = "<group>";
		};
		A12D820421D5FA8A00FBDE07 /* Products */ = {
			isa = PBXGroup;
			children = (
				A12D820321D5FA8A00FBDE07 /* FilmFest.app */,
				A12D821721D5FA8D00FBDE07 /* FilmFestTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		A12D820521D5FA8A00FBDE07 /* FilmFest */ = {
			isa = PBXGroup;
			children = (
				A12D820621D5FA8A00FBDE07 /* AppDelegate.swift */,
				A1E6FA9721DCC8A70020DD08 /* Base.lproj */,
				A1E6FA9121DCC8A70020DD08 /* Controllers */,
				A1E6FA9321DCC8A70020DD08 /* Data Service */,
				A1E6FA9C21DCC8A80020DD08 /* Models */,
				A1E6FA9521DCC8A70020DD08 /* Views */,
				A12D820D21D5FA8D00FBDE07 /* Assets.xcassets */,
				A12D821221D5FA8D00FBDE07 /* Info.plist */,
			);
			path = FilmFest;
			sourceTree = "<group>";
		};
		A12D821A21D5FA8D00FBDE07 /* FilmFestTests */ = {
			isa = PBXGroup;
			children = (
				A12D821D21D5FA8D00FBDE07 /* Info.plist */,
				A1E6FA8421DCC88C0020DD08 /* Mocks */,
				A1E6FA8021DCC88C0020DD08 /* Test Controllers */,
				A1E6FA8221DCC88C0020DD08 /* Test Data Service */,
				A1E6FA8621DCC88D0020DD08 /* Test Models */,
				A1E6FA8921DCC88D0020DD08 /* Test Views */,
			);
			path = FilmFestTests;
			sourceTree = "<group>";
		};
		A1E6FA8021DCC88C0020DD08 /* Test Controllers */ = {
			isa = PBXGroup;
			children = (
				A1E6FA8121DCC88C0020DD08 /* LibraryViewControllerTests.swift */,
			);
			path = "Test Controllers";
			sourceTree = "<group>";
		};
		A1E6FA8221DCC88C0020DD08 /* Test Data Service */ = {
			isa = PBXGroup;
			children = (
				A1E6FA8321DCC88C0020DD08 /* MovieLibraryDataServiceTests.swift */,
			);
			path = "Test Data Service";
			sourceTree = "<group>";
		};
		A1E6FA8421DCC88C0020DD08 /* Mocks */ = {
			isa = PBXGroup;
			children = (
				A1E6FA8521DCC88C0020DD08 /* MockExtensions.swift */,
			);
			path = Mocks;
			sourceTree = "<group>";
		};
		A1E6FA8621DCC88D0020DD08 /* Test Models */ = {
			isa = PBXGroup;
			children = (
				A1E6FA8721DCC88D0020DD08 /* MovieManagerTests.swift */,
				A1E6FA8821DCC88D0020DD08 /* MovieStructTests.swift */,
			);
			path = "Test Models";
			sourceTree = "<group>";
		};
		A1E6FA8921DCC88D0020DD08 /* Test Views */ = {
			isa = PBXGroup;
			children = (
				A1E6FA8A21DCC88D0020DD08 /* MovieCellTests.swift */,
			);
			path = "Test Views";
			sourceTree = "<group>";
		};
		A1E6FA9121DCC8A70020DD08 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				A1E6FA9221DCC8A70020DD08 /* LibraryViewController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		A1E6FA9321DCC8A70020DD08 /* Data Service */ = {
			isa = PBXGroup;
			children = (
				A1E6FA9421DCC8A70020DD08 /* MovieLibraryDataService.swift */,
			);
			path = "Data Service";
			sourceTree = "<group>";
		};
		A1E6FA9521DCC8A70020DD08 /* Views */ = {
			isa = PBXGroup;
			children = (
				A1E6FA9621DCC8A70020DD08 /* MovieCell.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		A1E6FA9721DCC8A70020DD08 /* Base.lproj */ = {
			isa = PBXGroup;
			children = (
				A1E6FA9821DCC8A70020DD08 /* LaunchScreen.storyboard */,
				A1E6FA9A21DCC8A70020DD08 /* Main.storyboard */,
			);
			name = Base.lproj;
			path = "../../../../../../Downloads/TDD-iOS/Ex_Files_iOS_App_Dev_Test_Driven/Exercise Files/Ch_05/05_02/FilmFest/FilmFest/Base.lproj";
			sourceTree = "<group>";
		};
		A1E6FA9C21DCC8A80020DD08 /* Models */ = {
			isa = PBXGroup;
			children = (
				A1E6FA9D21DCC8A80020DD08 /* MovieManager.swift */,
				A1E6FA9E21DCC8A80020DD08 /* Movie.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		A12D820221D5FA8A00FBDE07 /* FilmFest */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = A12D822021D5FA8D00FBDE07 /* Build configuration list for PBXNativeTarget "FilmFest" */;
			buildPhases = (
				A12D81FF21D5FA8A00FBDE07 /* Sources */,
				A12D820021D5FA8A00FBDE07 /* Frameworks */,
				A12D820121D5FA8A00FBDE07 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = FilmFest;
			productName = FilmFest;
			productReference = A12D820321D5FA8A00FBDE07 /* FilmFest.app */;
			productType = "com.apple.product-type.application";
		};
		A12D821621D5FA8D00FBDE07 /* FilmFestTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = A12D822321D5FA8D00FBDE07 /* Build configuration list for PBXNativeTarget "FilmFestTests" */;
			buildPhases = (
				A12D821321D5FA8D00FBDE07 /* Sources */,
				A12D821421D5FA8D00FBDE07 /* Frameworks */,
				A12D821521D5FA8D00FBDE07 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				A12D821921D5FA8D00FBDE07 /* PBXTargetDependency */,
			);
			name = FilmFestTests;
			productName = FilmFestTests;
			productReference = A12D821721D5FA8D00FBDE07 /* FilmFestTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		A12D81FB21D5FA8A00FBDE07 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1000;
				LastUpgradeCheck = 1000;
				ORGANIZATIONNAME = "Volansys Technologies Pvt Ltd";
				TargetAttributes = {
					A12D820221D5FA8A00FBDE07 = {
						CreatedOnToolsVersion = 10.0;
					};
					A12D821621D5FA8D00FBDE07 = {
						CreatedOnToolsVersion = 10.0;
						LastSwiftMigration = 1000;
						TestTargetID = A12D820221D5FA8A00FBDE07;
					};
				};
			};
			buildConfigurationList = A12D81FE21D5FA8A00FBDE07 /* Build configuration list for PBXProject "FilmFest" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = A12D81FA21D5FA8A00FBDE07;
			productRefGroup = A12D820421D5FA8A00FBDE07 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				A12D820221D5FA8A00FBDE07 /* FilmFest */,
				A12D821621D5FA8D00FBDE07 /* FilmFestTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		A12D820121D5FA8A00FBDE07 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A1E6FAA321DCC8A90020DD08 /* Main.storyboard in Resources */,
				A12D820E21D5FA8D00FBDE07 /* Assets.xcassets in Resources */,
				A1E6FAA221DCC8A90020DD08 /* LaunchScreen.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		A12D821521D5FA8D00FBDE07 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		A12D81FF21D5FA8A00FBDE07 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A1E6FA9F21DCC8A90020DD08 /* LibraryViewController.swift in Sources */,
				A12D820721D5FA8A00FBDE07 /* AppDelegate.swift in Sources */,
				A1E6FAA521DCC8A90020DD08 /* Movie.swift in Sources */,
				A1E6FAA421DCC8A90020DD08 /* MovieManager.swift in Sources */,
				A1E6FAA121DCC8A90020DD08 /* MovieCell.swift in Sources */,
				A1E6FAA021DCC8A90020DD08 /* MovieLibraryDataService.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		A12D821321D5FA8D00FBDE07 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A1E6FA8E21DCC88D0020DD08 /* MovieManagerTests.swift in Sources */,
				A1E6FA8F21DCC88D0020DD08 /* MovieStructTests.swift in Sources */,
				A1E6FA8C21DCC88D0020DD08 /* MovieLibraryDataServiceTests.swift in Sources */,
				A1E6FA8B21DCC88D0020DD08 /* LibraryViewControllerTests.swift in Sources */,
				A1E6FA9021DCC88D0020DD08 /* MovieCellTests.swift in Sources */,
				A1E6FA8D21DCC88D0020DD08 /* MockExtensions.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		A12D821921D5FA8D00FBDE07 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = A12D820221D5FA8A00FBDE07 /* FilmFest */;
			targetProxy = A12D821821D5FA8D00FBDE07 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		A1E6FA9821DCC8A70020DD08 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				A1E6FA9921DCC8A70020DD08 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
		A1E6FA9A21DCC8A70020DD08 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				A1E6FA9B21DCC8A70020DD08 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		A12D821E21D5FA8D00FBDE07 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		A12D821F21D5FA8D00FBDE07 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		A12D822121D5FA8D00FBDE07 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = Y3Y74D89QU;
				INFOPLIST_FILE = FilmFest/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.volansys.FilmFest;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		A12D822221D5FA8D00FBDE07 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = Y3Y74D89QU;
				INFOPLIST_FILE = FilmFest/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.volansys.FilmFest;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		A12D822421D5FA8D00FBDE07 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = Y3Y74D89QU;
				INFOPLIST_FILE = FilmFestTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.volansys.FilmFestTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/FilmFest.app/FilmFest";
			};
			name = Debug;
		};
		A12D822521D5FA8D00FBDE07 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = Y3Y74D89QU;
				INFOPLIST_FILE = FilmFestTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.volansys.FilmFestTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/FilmFest.app/FilmFest";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		A12D81FE21D5FA8A00FBDE07 /* Build configuration list for PBXProject "FilmFest" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				A12D821E21D5FA8D00FBDE07 /* Debug */,
				A12D821F21D5FA8D00FBDE07 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		A12D822021D5FA8D00FBDE07 /* Build configuration list for PBXNativeTarget "FilmFest" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				A12D822121D5FA8D00FBDE07 /* Debug */,
				A12D822221D5FA8D00FBDE07 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		A12D822321D5FA8D00FBDE07 /* Build configuration list for PBXNativeTarget "FilmFestTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				A12D822421D5FA8D00FBDE07 /* Debug */,
				A12D822521D5FA8D00FBDE07 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = A12D81FB21D5FA8A00FBDE07 /* Project object */;
}
